## Update indicator feed metadata `client.Intel.IndicatorFeeds.Update(ctx, feedID, params) (*IndicatorFeedUpdateResponse, error)` **put** `/accounts/{account_id}/intel/indicator-feeds/{feed_id}` Revises details for a specific custom threat indicator feed. ### Parameters - `feedID int64` Indicator feed ID - `params IndicatorFeedUpdateParams` - `AccountID param.Field[string]` Path param: Identifier - `Description param.Field[string]` Body param: The new description of the feed - `IsAttributable param.Field[bool]` Body param: The new is_attributable value of the feed - `IsDownloadable param.Field[bool]` Body param: The new is_downloadable value of the feed - `IsPublic param.Field[bool]` Body param: The new is_public value of the feed - `Name param.Field[string]` Body param: The new name of the feed ### Returns - `type IndicatorFeedUpdateResponse struct{…}` - `ID int64` The unique identifier for the indicator feed - `CreatedOn Time` The date and time when the data entry was created - `Description string` The description of the example test - `IsAttributable bool` Whether the indicator feed can be attributed to a provider - `IsDownloadable bool` Whether the indicator feed can be downloaded - `IsPublic bool` Whether the indicator feed is exposed to customers - `ModifiedOn Time` The date and time when the data entry was last modified - `Name string` The name of the indicator feed ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/intel" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) indicatorFeed, err := client.Intel.IndicatorFeeds.Update( context.TODO(), int64(12), intel.IndicatorFeedUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", indicatorFeed.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": 1, "created_on": "2023-05-12T12:21:56.777653Z", "description": "example feed description", "is_attributable": false, "is_downloadable": false, "is_public": false, "modified_on": "2023-06-18T03:13:34.123321Z", "name": "example_feed_1" } } ```